#!/bin/bash
set -e


apt-get update -y
apt-get install debootstrap -y

rm -Rf /root/python_builddir/

# we need to specify http url instead of https because of out of date certificate authority 
# in buster by default and add security updates repo, otherwise superseeded package don't have
# the most recent supported gpg key signature
debootstrap  bullseye /root/python_builddir/  
cat << EOF > /root/python_builddir/etc/apt/sources.list
deb http://deb.debian.org/debian bullseye main
deb http://security.debian.org/ bullseye-security main contrib non-free
EOF

chroot /root/python_builddir/ bash -c "LANG=C apt-get update"
#debootstrap  jammy /root/python_builddir/

#chroot /root/python_builddir/ bash -c "LANG=C apt-get install software-properties-common -y"
#chroot /root/python_builddir/ bash -c "LANG=C add-apt-repository universe -y "
chroot /root/python_builddir/ bash -c "LANG=C apt-get install -y libpng-dev libfreetype6-dev build-essential libbz2-dev libreadline-dev libffi-dev zlib1g-dev libsqlite3-dev tk-dev libgdm-dev patchelf patch byacc wget locales software-properties-common liblzma-dev lzma libsqlite3-0"


cp step2_compile_python_in_debootstrap.sh /root/python_builddir/root/step2_compile_python_in_debootstrap.sh

wget https://www.openssl.org/source/openssl-1.1.1s.tar.gz --directory-prefix=/root/python_builddir/root/
wget https://www.python.org/ftp/python/3.6.12/Python-3.6.12.tgz --directory-prefix=/root/python_builddir/root/
wget https://kerberos.org/dist/krb5/1.20/krb5-1.20.1.tar.gz --directory-prefix=/root/python_builddir/root/


chroot /root/python_builddir bash -c "LANG=C /root/step2_compile_python_in_debootstrap.sh"
