#!/bin/bash
set -e

export LANG=C
rm -Rf /opt/python36/
#rm -Rf Python*
#rm -Rf openssl*
#rm -Rf krb5*

#make and install openssl

cd
tar -zxvf openssl-1.1.1s.tar.gz
cd openssl-1.1.1s
./config --prefix=/opt/python36  -Wl,-rpath,/opt/python36/lib/
make -j`nproc`  >> /root/debug_compile_python 2>&1
make install_sw  >> /root/debug_compile_python 2>&1


#make and install python

cd
#wget https://www.python.org/ftp/python/3.6.12/Python-3.6.12.tgz
tar -zxvf Python-3.6.12.tgz
cd Python-3.6.12
./configure -C --with-openssl=/opt/python36/ --enable-optimizations --enable-shared --prefix=/opt/python36 LDFLAGS=-Wl,-rpath,/opt/python36/lib/
make -j`nproc` install >> /root/debug_compile_python 2>&1
rm -f /opt/python36/bin/{2to3,2to3-3.8,idle3,idle3.8} 

#make and install mit kerberos

cd
#wget https://kerberos.org/dist/krb5/1.19/krb5-1.20.1.tar.gz
tar -zxvf krb5-1.20.1.tar.gz
cd krb5-1.20.1/src
./configure  --prefix=/opt/python36 LDFLAGS="-Wl,-rpath,/opt/python36/lib/" PKG_CONFIG_PATH=/opt/python36/lib/pkgconfig/ 
make -j`nproc` >> /root/debug_compile_python 2>&1
make install >> /root/debug_compile_python 2>&1
rm -f /opt/python36/bin/{gss-client,k5srvutil,kadmin,kdestroy,kinit,klist,kpasswd,ksu,kswitch,ktutil,kvno,sclient,sim_client,uuclient}
rm -Rf /opt/python36/{sbin,share,var}
rm -Rf /opt/python36/lib/python3.8/test
cp -f /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 /opt/python36/lib/
/opt/python36/bin/python3 -m pip install --upgrade pip
/opt/python36/bin/python3 -m pip install wheel

#/opt/python36/bin/python3 -m pip install whell
#export PATH=$PATH:/opt/python36/bin/ ; /opt/python36/bin/python3 -m pip install -r /root/requirements.txt
exit